///
/// @file
/// @details An entity within the LudumDare36 project.
///
/// <!-- Copyright (c) 2016 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#include "template_entity.h"

//--------------------------------------------------------------------------------------------------------------------//

LudumDare36::TemplateEntity::TemplateEntity(void) :
	tbGame::Entity("TemplateEntity"),
	mSprite(tbGraphics::theSpriteManager.GetSprite("concept_art", "player_down_01"))
{
	AddGraphic(mSprite);
}

//--------------------------------------------------------------------------------------------------------------------//

LudumDare36::TemplateEntity::~TemplateEntity(void)
{
}

//--------------------------------------------------------------------------------------------------------------------//

void LudumDare36::TemplateEntity::OnAdded(void)
{
	tbGame::Entity::OnAdded();
}

//--------------------------------------------------------------------------------------------------------------------//

void LudumDare36::TemplateEntity::OnRemoved(void)
{
	tbGame::Entity::OnRemoved();
}

//--------------------------------------------------------------------------------------------------------------------//

void LudumDare36::TemplateEntity::OnSimulate(void)
{
	tbGame::Entity::OnSimulate();
}

//--------------------------------------------------------------------------------------------------------------------//

void LudumDare36::TemplateEntity::OnUpdate(const float deltaTime)
{
	tbGame::Entity::OnUpdate(deltaTime);
}

//--------------------------------------------------------------------------------------------------------------------//

void LudumDare36::TemplateEntity::OnRender(void) const
{
	tbGame::Entity::OnRender();
}

//--------------------------------------------------------------------------------------------------------------------//

void LudumDare36::TemplateEntity::OnCollideWith(tbGame::Entity& otherEntity)
{
	tbGame::Entity::OnCollideWith(otherEntity);
}

//--------------------------------------------------------------------------------------------------------------------//
